package com.zhiwei.manage.dao;

import java.util.Date;
import java.util.List;

import com.zhiwei.manage.bean.Data;

/**
 * 数据部分的获取接口
 * 
 * @author admin
 *
 */
public interface DataDao {

	/**
	 * 渠道日数据的获取
	 * 
	 * @param startTime
	 * @param endTime
	 * @param pt
	 * @return
	 */
	public List<Data> findByPt(Date startTime, Date endTime, String pt);

	/**
	 * 插入数据
	 * 
	 * @param data
	 */
	public void insert(Data data);

	/**
	 * 根据日期获取数据信息
	 * 
	 * @param startTime
	 * @param endTime
	 * @param pt
	 * @return
	 */
	public List<Data> findByPtDay(Date startTime, Date endTime, String pt);

	/**
	 * 根据来源获取数据
	 * 
	 * @param startTime
	 * @param endTime
	 * @param source
	 * @return
	 */
	public List<Data> findBySource(Date startTime, Date endTime, String source);

	/**
	 * 根据模板名获取数据
	 * 
	 * @param startTime
	 * @param endTime
	 * @param tempName
	 * @return
	 */
	public List<Data> findBytempName(Date startTime, Date endTime, String tempName);

	/**
	 * 根据参数获取信息
	 * 
	 * @param param
	 * @return
	 */
	public List<String> findTmpNameByLikeParam(String param);
}
